%define	real_name	Digest-SHA1
%define	name		perl-%real_name
%define	version	2.11
%define	release	%mkrel 3

Summary:	Perl interface to the SHA1 Algorithm
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Digest/%{real_name}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{real_name}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Digest-SHA1 module for perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto



%changelog
* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 2.11-3mdv2008.0
+ Revision: 23413
- rebuild


* Fri May 19 2006 Scott Karns <scottk@mandriva.org> 2.11-2mdk
- Updated spec to use mkrel macro
- Updated source URL to comply with Mandriva perl packaging policy

* Wed Jan 25 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.11-1mdk
- 2.11
- spec cleanup

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.10-3mdk
- Rebuild

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.10-2mdk
- rebuild for new perl; clean up spec

* Tue Apr 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.10-1mdk
- 2.10.

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 2.04-1mdk
- 2.04.

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.02-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- use %%make macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.02-2mdk
- rebuild for new auto{prov,req}

